%global pypi_name ipranges
%global pypi_version 0.1.10

%if 0%{?el6}
%global python3_pkgversion 33
%global py3_build CFLAGS="-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -mtune=generic" python3 setup.py build
%endif

%if x%{?python3_pkgversion} == x
%global python3_pkgversion 3
%endif

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python library for working with IP addressess.

License:        ISC
URL:            https://homeproj.cesnet.cz/git/idea.git
source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%if 0%{?el7}
BuildRequires:  python36-nose
%else
BuildRequires:  python%{python3_pkgversion}-nose
%endif

%description
Python 3 library for working with IPv4 and IPv6 addressess in many notations (sible IP, CIDR, range).

This README file is work in progress, for more information please visit home page at https://idea.cesnet.cz/en/index.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
Python 3 library for working with IPv4 and IPv6 addressess in many notations (sible IP, CIDR, range).

This README file is work in progress, for more information please visit home page at https://idea.cesnet.cz/en/index.


%prep
%setup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%{__python3} setup.py install --skip-build --single-version-externally-managed --root %{buildroot}

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%{python3_sitelib}

